unit unitMain;

interface

uses
  {$ifdef win32}Windows, {$else}WinTypes, WinProcs, {$endif}Messages, SysUtils,
  Classes, Graphics, Controls, Forms, Dialogs, Tips, StdCtrls;

type
  TForm1 = class(TForm)
    Tips1: TTips;
    Label1: TLabel;
    Button1: TButton;
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Tips1ShowAgainCheckBoxClick(Sender: TObject;
      AChecked: Boolean);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

const
  fFileName: string = 'Tips.dat';

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormActivate(Sender: TObject);
begin
  Tips1.Execute;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  fFileName := ExtractFilePath(ParamStr(0)) + fFileName;
  if FileExists(fFileName) and (ofShowBtnEdit in Tips1.Options) then
  Tips1.LoadFromFile(fFileName);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  if (ofShowBtnEdit in Tips1.Options) then Tips1.SaveToFile(fFileName);
end;
                             
procedure TForm1.Tips1ShowAgainCheckBoxClick(Sender: TObject;
  AChecked: Boolean);
begin
  if AChecked then
    ShowMessage('Checked')
  else
    ShowMessage('UnChecked');
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  with Tips1 do
  begin
    Options := [];
    Title := 'Warning!';
    TipsHelp := 'Guess what...';
    PanelsColor := clWhite;
    Captions.Delete(0);
    Captions.Insert(0, 'Dont disturb me with that anymore...');
    TipsPicture.Icon.Handle := LoadIcon(0, IDI_EXCLAMATION);
    TipsToShow.Clear;
    TipsToShow.Add('Here is serious warning! Very SERIOUS! :-)');
    Execute;
  end;
end;

end.
